DocTest : Mono.DocTest.Generic Namespace

# MyList<T> Generic Class

Documentation for this section has not yet been entered.

## Syntax

public class MyList<[Mono.DocTest.Doc("Type Parameter!")] T> : GenericBase<T>, IEnumerable<Int32[]>

#### Type Parameters

> T
>   I'm Dying Here!

## Remarks

`T:Mono.DocTest.Generic.MyList`1`.

## Requirements

Namespace: Mono.DocTest.Generic
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from GenericBase<T>.

## Public Constructors

| MyList () | Documentation for this section has not yet been entered.

## Public Fields

const | ConstField1 | int . Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)

## Public Methods

BaseMethod<S> (S) : T

> Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)

GetEnumerator () : IEnumerator<Int32[]>

> Documentation for this section has not yet been entered.

GetHelper<U,V> () : MyList<T>.Helper<U, V>

> Documentation for this section has not yet been entered.

Method<U> (T, U)

> Documentation for this section has not yet been entered.

RefMethod<U> (ref T, ref U)

> Documentation for this section has not yet been entered.

Test (T)

> Documentation for this section has not yet been entered.

UseHelper<U,V> (MyList<T>.Helper<U, V>)

> Documentation for this section has not yet been entered.

## Public Events

| ItemChanged | Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)
| MyEvent | Documentation for this section has not yet been entered. (Inherited from GenericBase<U>.)

## Explicitly Implemented Interface Members

| IEnumerable.GetEnumerator | Documentation for this section has not yet been entered.

## Extension Methods

static

ForEach<T> (this IEnumerable<T>, Action<T>)

> IEnumerable`1 extension method

static

ToDouble (this IEnumerable<int>) : IEnumerable<double>

> IEnumerable<int> extension method.

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### MyList Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public MyList ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerator<Int32[]> GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.MyList`1.GetEnumerator`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### GetHelper<U,V> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public MyList<T>.Helper<U, V> GetHelper<U, V> ()

> #### Type Parameters

> > U
> >   Documentation for this section has not yet been entered.
> > V
> >   Documentation for this section has not yet been entered.

> #### Returns

> > `null`.

> ## Remarks

> `M:Mono.DocTest.Generic.MyList`1.GetHelper``2`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Method<U> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Method<U> (T t, U u)

> #### Type Parameters

> > U
> >   Method generic parameter

> #### Parameters

> > t
> >   Class generic type
> > u
> >   Method generic type

> ## Remarks

> `M:Mono.DocTest.MyList`1.Method``1(`0,``0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### RefMethod<U> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void RefMethod<U> (ref T t, ref U u)

> #### Type Parameters

> > U
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > t
> >   Documentation for this section has not yet been entered.
> > u
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### System.Collections.IEnumerable.GetEnumerator Method

> Documentation for this section has not yet been entered.

> ## Syntax

> IEnumerator System.Collections.IEnumerable.GetEnumerator ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> `M:Mono.DocTest.MyList`1.System#Collections#GetEnumerator`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Test Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Test (T t)

> #### Parameters

> > t
> >   tko

> ## Remarks

> `M:Mono.DocTest.MyList`1.Test(`0)`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### UseHelper<U,V> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void UseHelper<U, V> (MyList<T>.Helper<U, V> helper)

> #### Type Parameters

> > U
> >   Argh!
> > V
> >   Foo Argh!

> #### Parameters

> > helper
> >   A Mono.DocTest.Generic.MyList`1.Helper`2.

> ## Remarks

> `M:Mono.DocTest.Generic.MyList`1.UseHelper``2(Mono.DocTest.Generic.MyList{``0}.Helper{``1,``2})`.

> ## Requirements

> Namespace: Mono.DocTest.Generic
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0